Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.man.cs.img.owl.inference.dl
Class RACERConsistencyChecker

    java.lang.Object
      |
      +--uk.ac.man.cs.img.owl.inference.dl.RACERConsistencyChecker

All Implemented Interfaces:
  OWLConsistencyChecker, ReasonerProxy

public class RACERConsistencyChecker
extends Object
implements OWLConsistencyChecker, ReasonerProxy

An OWL reasoner that uses a DIG reasoner to do the work.

Version:
  $Id: RACERConsistencyChecker.java,v 1.3 2004/03/05 17:34:48 sean_bechhofer Exp $

Nested Class Summary
`class` | `RACERConsistencyChecker.ExpressivenessOutOfScopeException`

Field Summary

Fields inherited from interface org.semanticweb.owl.inference.OWLConsistencyChecker
`CONSISTENT, INCONSISTENT, UNKNOWN`

Constructor Summary
`RACERConsistencyChecker(uk.ac.man.cs.img.dig.reasoner.Reasoner digReasoner)` Create a new reasoning object.

Method Summary
`int` | `consistency(OWLOntology onto)` Knowledge base consistency test.
`static void` | `main(String[] args)`
`void` | `tell(String str)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RACERConsistencyChecker

    public RACERConsistencyChecker(uk.ac.man.cs.img.dig.reasoner.Reasoner digReasoner)
                            throws OWLException

  Create a new reasoning object. Expects a DIG reasoner that will do the actual work of reasoning about the class structure.

Parameters:
  `digReasoner` - a `Reasoner` value

Method Detail

### tell

    public void tell(String str)
              throws OWLException

  Specified by:
    `tell` in interface `ReasonerProxy`
    `OWLException`

### consistency

    public int consistency(OWLOntology onto)
                    throws OWLException

  Description copied from interface: `OWLConsistencyChecker`
  Knowledge base consistency test. Returns `CONSISTENT` if it is possible to have a model. Returns `INCONSISTENT` if it is not possible to have a model. Returns `UNKNOWN` if it can't tell.

  Specified by:
    `consistency` in interface `OWLConsistencyChecker`
    `OWLException`

### main

    public static void main(String[] args)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WonderWeb